#include <bits/stdc++.h>

using namespace std;

int main()
{
    string a, b, c;
    vector<string> stringovi;
    string spojeno;

    cin >> a >> b >> c;

    spojeno = a + b + c;
    stringovi.push_back(spojeno);
    spojeno = a + c + b;
    stringovi.push_back(spojeno);
    spojeno = b + a + c;
    stringovi.push_back(spojeno);
    spojeno = b + c + a;
    stringovi.push_back(spojeno);
    spojeno = c + a + b;
    stringovi.push_back(spojeno);
    spojeno = c + b + a;
    stringovi.push_back(spojeno);

    sort(stringovi.begin(), stringovi.end());

    cout << stringovi[5];

    return 0;
}